# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-sk
%else
Name:		kde-i18n-Slovak
%endif
Summary:	Slovak language support for KDE
Version:	2.2.1
Release:	2mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Slovak
%endif
Requires:	locales-sk
BuildArch:	noarch

%description
Slovak language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/sk/
#
%dir %_docdir/HTML/sk/amor
%doc %_docdir/HTML/sk/amor/common
%doc %_docdir/HTML/sk/amor/*.docbook
%doc %_docdir/HTML/sk/amor/*.bz2
#
%dir %_docdir/HTML/sk/faq
%doc %_docdir/HTML/sk/faq/common
%doc %_docdir/HTML/sk/faq/*.docbook
%doc %_docdir/HTML/sk/faq/*.bz2
#
%dir %_docdir/HTML/sk/glossary
%doc %_docdir/HTML/sk/glossary/common
%doc %_docdir/HTML/sk/glossary/*.docbook
%doc %_docdir/HTML/sk/glossary/*.bz2
#
%dir %_docdir/HTML/sk/kaddressbook
%doc %_docdir/HTML/sk/kaddressbook/common
%doc %_docdir/HTML/sk/kaddressbook/*.docbook
%doc %_docdir/HTML/sk/kaddressbook/*.bz2
#
%dir %_docdir/HTML/sk/kcontrol
%doc %_docdir/HTML/sk/kcontrol/common
%doc %_docdir/HTML/sk/kcontrol/*.docbook
%doc %_docdir/HTML/sk/kcontrol/*.bz2
#
%dir %_docdir/HTML/sk/kdebugdialog
%doc %_docdir/HTML/sk/kdebugdialog/common
%doc %_docdir/HTML/sk/kdebugdialog/*.docbook
%doc %_docdir/HTML/sk/kdebugdialog/*.bz2
#
%dir %_docdir/HTML/sk/kdesu
%doc %_docdir/HTML/sk/kdesu/common
%doc %_docdir/HTML/sk/kdesu/*.docbook
%doc %_docdir/HTML/sk/kdesu/*.bz2
#
%dir %_docdir/HTML/sk/khelpcenter
%doc %_docdir/HTML/sk/khelpcenter/common
%doc %_docdir/HTML/sk/khelpcenter/*.docbook
%doc %_docdir/HTML/sk/khelpcenter/*.bz2
#
%dir %_docdir/HTML/sk/khelpcenter/quickstart/
%doc %_docdir/HTML/sk/khelpcenter/quickstart/common
%doc %_docdir/HTML/sk/khelpcenter/quickstart/*.docbook
%doc %_docdir/HTML/sk/khelpcenter/quickstart/*.bz2
#
%dir %_docdir/HTML/sk/kioslave
%doc %_docdir/HTML/sk/kioslave/common
%doc %_docdir/HTML/sk/kioslave/*.docbook
%doc %_docdir/HTML/sk/kioslave/*.bz2
#
%dir %_docdir/HTML/sk/visualdict
%doc %_docdir/HTML/sk/visualdict/common
%doc %_docdir/HTML/sk/visualdict/*.docbook
%doc %_docdir/HTML/sk/visualdict/*.bz2
#
%dir %_docdir/HTML/sk/kmoon
%doc %_docdir/HTML/sk/kmoon/common
%doc %_docdir/HTML/sk/kmoon/*.docbook
%doc %_docdir/HTML/sk/kmoon/*.bz2
#
%dir %_docdir/HTML/sk/kodo
%doc %_docdir/HTML/sk/kodo/common
%doc %_docdir/HTML/sk/kodo/*.docbook
%doc %_docdir/HTML/sk/kodo/*.bz2
#
%dir %_docdir/HTML/sk/koshell
%doc %_docdir/HTML/sk/koshell/common
%doc %_docdir/HTML/sk/koshell/*.docbook
%doc %_docdir/HTML/sk/koshell/*.bz2
#
#%dir %_docdir/HTML/sk/kpresenter
#%doc %_docdir/HTML/sk/kpresenter/*.docbook
#
%dir %_docdir/HTML/sk/kteatime
%doc %_docdir/HTML/sk/kteatime/common
%doc %_docdir/HTML/sk/kteatime/*.docbook
%doc %_docdir/HTML/sk/kteatime/*.bz2
%doc %_docdir/HTML/sk/kteatime/*.png
#
%dir %_docdir/HTML/sk/kworldclock
%doc %_docdir/HTML/sk/kworldclock/common
%doc %_docdir/HTML/sk/kworldclock/*.docbook
%doc %_docdir/HTML/sk/kworldclock/*.bz2
#
%dir %_datadir/locale/
%dir %_datadir/locale/sk/
%_datadir/locale/sk/charset
%_datadir/locale/sk/*.desktop
%_datadir/locale/sk/*.png
#
#
%dir %_datadir/locale/sk/LC_MESSAGES/
%_datadir/locale/sk/LC_MESSAGES/*.mo


%changelog
* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Update code 

* Tue Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages 

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
